summaryrefslogtreecommitdiffstats
path: root/source/l/gtk+3
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gtk+3')
-rw-r--r--source/l/gtk+3/doinst.sh5
-rwxr-xr-xsource/l/gtk+3/gtk+3.SlackBuild43
-rw-r--r--source/l/gtk+3/update-gtk-immodules-3.064
-rw-r--r--source/l/gtk+3/use_host_triplet_for_gtk_immodules.diff11
4 files changed, 27 insertions, 96 deletions
diff --git a/source/l/gtk+3/doinst.sh b/source/l/gtk+3/doinst.sh
index 90d1085fe..da33a4e8d 100644
--- a/source/l/gtk+3/doinst.sh
+++ b/source/l/gtk+3/doinst.sh
@@ -10,6 +10,11 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
+# The GTK+3 theme no longer works, so if gtkrc uses that, back up the old
+# file and install the new one:
+if grep -q GTK etc/gtk-3.0/gtkrc 2> /dev/null ; then
+ mv etc/gtk-3.0/gtkrc etc/gtk-3.0/gtkrc.bak
+fi
config etc/gtk-3.0/gtkrc.new
config etc/gtk-3.0/im-multipress.conf.new
rm -f etc/gtk-3.0/gtkrc.new
diff --git a/source/l/gtk+3/gtk+3.SlackBuild b/source/l/gtk+3/gtk+3.SlackBuild
index c4e972eb5..55a69bcac 100755
--- a/source/l/gtk+3/gtk+3.SlackBuild
+++ b/source/l/gtk+3/gtk+3.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=${VERSION:-$(echo gtk+-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -68,9 +68,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Use /etc/gtk-3.0/$ARCH-slackware-linux instead of /etc/gtk-3.0/ for gtk.immodules
-zcat $CWD/use_host_triplet_for_gtk_immodules.diff.gz | patch -p1 --verbose || exit 1
-
# Regenerate ./configure:
libtoolize --copy --force
autoreconf -vif
@@ -79,54 +76,32 @@ autoreconf -vif
# Our host is $ARCH-slackware-linux not $ARCH-slackware-linux-gnu:
sed -i -e 's#linux|linux-gnu|#linux|linux|#' config.sub
-CFLAGS="$SLKCFLAGS -DHOST='"'"${ARCH}-slackware-linux"'"'" \
+CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--mandir=/usr/man \
--enable-xkb \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux \
- --target=$ARCH-slackware-linux
+ --enable-packagekit=no \
+ --build=$ARCH-slackware-linux
# --enable-gtk-doc-html=no \
-# See modules/input/Makefile.am
-make \
- imconffiledir=/etc/gtk-3.0/$ARCH-slackware-linux \
- $NUMJOBS || make || exit 1
+make $NUMJOBS || make || exit 1
# Check the host value that is passed to the compile to the one in this script:
host="$ARCH-slackware-linux"
-# Best I can tell, it doesn't matter if they match. Since gtk+3-3.2.0, both
-# build_triplet and host_triplet have "-gnu" appended to them, but neither of
-# those seem to actually be used anywhere. Commenting out unless I find out
-# that I'm wrong later... :-) --rworkman
-#compile_host=$(grep 'host_triplet =' gtk/Makefile | sed -e "s/.* = //")
-#if [ "x$compile_host" != "x$host" ]; then
-# echo "Host mismatch: compile='$compile_host', SlackBuild='$host'" && exit 1
-#fi
make install \
- imconffiledir=/etc/gtk-3.0/$ARCH-slackware-linux \
RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false \
DESTDIR=$PKG \
|| exit 1
-# You'll probably need to install the newly made package right away to
-# fix the result of this next line, but we had to clear this. Sorry.
-rm -rf /etc/gtk-3.0
-# I'm spamming your root partition because /etc/gtk-3.0 won't install to $DESTDIR...
-make install imconffiledir=/etc/gtk-3.0/$ARCH-slackware-linux
-cp -a /etc/gtk-3.0 $PKG/etc || exit 1
-mv $PKG/etc/gtk-3.0/$host/im-multipress.conf $PKG/etc/gtk-3.0/im-multipress.conf.new
-rm -f $PKG/etc/gtk-3.0/$host/*
-if [ -r $PKG/etc/gtk-3.0/gtk.immodules ]; then
- mv $PKG/etc/gtk-3.0/gtk.immodules $PKG/etc/gtk-3.0/$host/
-fi
+# Don't clobber im-multipress.conf
+mv $PKG/etc/gtk-3.0/im-multipress.conf $PKG/etc/gtk-3.0/im-multipress.conf.new
# Install a "starter" gtkrc
-echo 'gtk-theme-name="GTK+"' > $PKG/etc/gtk-3.0/gtkrc.new
+echo 'gtk-theme-name="Adwaita"' > $PKG/etc/gtk-3.0/gtkrc.new
# We need to have separate 32-bit and 64-bit binaries
# for places where we have two copies of the GTK+ package installed.
diff --git a/source/l/gtk+3/update-gtk-immodules-3.0 b/source/l/gtk+3/update-gtk-immodules-3.0
index 06a705648..cd3d629b8 100644
--- a/source/l/gtk+3/update-gtk-immodules-3.0
+++ b/source/l/gtk+3/update-gtk-immodules-3.0
@@ -1,5 +1,5 @@
#! /bin/sh
-# Updates the immodules in /etc/gtk-3.0/$host
+# Updates the immodules cache at /usr/lib(64)/gtk-3.0/3.0.0/immodules.cache
umask 022
@@ -11,75 +11,37 @@ case "$host" in
arm*) host=arm-slackware-linux-gnueabi ;;
esac
-# Deriving /etc/gtk-3.0/$host location
-#
-# We have had problems in the past with build systems
-# changing host from i386 to i686 and appending/dropping
-# the -gnu suffix, so try to match up the $host we got
-# with whats actually there.
-if [ ! -d /etc/gtk-3.0/$host ]; then
- case "$host" in
- i?86*)
- for d in $(ls -d /etc/gtk-3.0/i?86*); do
- host=$(basename $d)
- break
- done
- ;;
- esac
-fi
-
-FILE=/etc/gtk-3.0/$host/gtk.immodules
-
case "$host" in
s390x*|x86_64*)
if [ -x /usr/bin/gtk-query-immodules-3.0-64 ]; then
if [ "$1" = "--verbose" ]; then
echo "Updating gtk.immodules for ${host}:"
- echo " /usr/bin/gtk-query-immodules-3.0-64 \\"
- echo " > $FILE"
+ echo " /usr/bin/gtk-query-immodules-3.0-64 --update-cache"
fi
- /usr/bin/gtk-query-immodules-3.0-64 > $FILE
- # Check for x86_64 multilib:
- if ls -d /etc/gtk-3.0/i?86* 1> /dev/null 2> /dev/null ; then
- for d in $(ls -d /etc/gtk-3.0/i?86*); do
- mlhost=$(basename $d)
- break
- done
- if [ -r /etc/gtk-3.0/$mlhost/gtk.immodules -a \
- -x /usr/bin/gtk-query-immodules-3.0-32 ]; then
- FILE=/etc/gtk-3.0/$mlhost/gtk.immodules
- if [ "$1" = "--verbose" ]; then
- echo "Updating gtk.immodules for ${mlhost}:"
- echo " /usr/bin/gtk-query-immodules-3.0-32 \\"
- echo " > $FILE"
- fi
- /usr/bin/gtk-query-immodules-3.0-32 > $FILE
+ /usr/bin/gtk-query-immodules-3.0-64 --update-cache 2>/dev/null
+ # Check for multilib
+ if [ -x /usr/bin/gtk-query-immodules-3.0-32 ]; then
+ if [ "$1" = "--verbose" ]; then
+ echo "Updating 32bit gtk.immodules: "
+ echo " /usr/bin/gtk-query-immodules-3.0-32 --update-cache"
fi
+ /usr/bin/gtk-query-immodules-3.0-32 --update-cache 2>/dev/null
fi
- else
- if [ "$1" = "--verbose" ]; then
- echo "Updating gtk.immodules for ${host}:"
- echo " /usr/bin/gtk-query-immodules-3.0 \\"
- echo " > $FILE"
- fi
- /usr/bin/gtk-query-immodules-3.0 > $FILE
fi
;;
*)
if [ -x /usr/bin/gtk-query-immodules-3.0-32 ]; then
if [ "$1" = "--verbose" ]; then
echo "Updating gtk.immodules for ${host}:"
- echo " /usr/bin/gtk-query-immodules-3.0-32 \\"
- echo " > $FILE"
+ echo " /usr/bin/gtk-query-immodules-3.0-32 --update-cache"
fi
- /usr/bin/gtk-query-immodules-3.0-32 > $FILE
+ /usr/bin/gtk-query-immodules-3.0-32 --update-cache 2>/dev/null
else
if [ "$1" = "--verbose" ]; then
echo "Updating gtk.immodules for ${host}:"
- echo " /usr/bin/gtk-query-immodules-3.0 \\"
- echo " > $FILE"
+ echo " /usr/bin/gtk-query-immodules-3.0 --update-cache"
fi
- /usr/bin/gtk-query-immodules-3.0 > $FILE
+ /usr/bin/gtk-query-immodules-3.0 --update-cache 2>/dev/null
fi
;;
esac
diff --git a/source/l/gtk+3/use_host_triplet_for_gtk_immodules.diff b/source/l/gtk+3/use_host_triplet_for_gtk_immodules.diff
deleted file mode 100644
index 92a8a121c..000000000
--- a/source/l/gtk+3/use_host_triplet_for_gtk_immodules.diff
+++ /dev/null
@@ -1,11 +0,0 @@
-diff -Nur gtk+-3.0.12.orig//gtk/Makefile.am gtk+-3.0.12/gtk/Makefile.am
---- gtk+-3.0.12.orig//gtk/Makefile.am 2011-07-27 20:34:32.000000000 -0500
-+++ gtk+-3.0.12/gtk/Makefile.am 2011-08-03 20:35:55.780035282 -0500
-@@ -37,6 +37,7 @@
- -DGTK_LIBDIR=\"$(libdir)\" \
- -DGTK_DATADIR=\"$(datadir)\" \
- -DGTK_DATA_PREFIX=\"$(prefix)\" \
-+ -DHOST=\"$(host_triplet)\" \
- -DGTK_SYSCONFDIR=\"$(sysconfdir)\" \
- -DGTK_VERSION=\"$(GTK_VERSION)\" \
- -DGTK_BINARY_VERSION=\"$(GTK_BINARY_VERSION)\" \